{% extends template_base %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/bootstrap-daterangepicker/daterangepicker.css' %}" rel="stylesheet" />

<link href="{% static 'plugins/simple-line-icons/css/simple-line-icons.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css' %}" rel="stylesheet"></link>
{% endblock extra_head %}
{% block content %}
<!-- begin nav-pills -->
<ul class="nav nav-pills">
  <li class="nav-items">
    <a href="#tab-general" data-toggle="tab" class="nav-link active">
      <span>General</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-list_cpe" data-toggle="tab" class="nav-link">
      <span>Lista CPEs</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-galery" data-toggle="tab" class="nav-link">
      <span>Galería</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-docs" data-toggle="tab" class="nav-link">
      <span>Documentos</span>
    </a>
  </li>  
  <li class="nav-items">
    <a href="#tab-logs" data-toggle="tab" class="nav-link">
      <span>Logs</span>
    </a>
  </li>  
  <li class="nav-items">
    <a href="#tab-gears" data-toggle="tab" class="nav-link">
      <span>Equipos</span>
    </a>
  </li>  
  <li class="nav-items">
    <a href="#tab-services" data-toggle="tab" class="nav-link">
      <span>Servicios</span>
    </a>
  </li>  
  
  <!-- <li class="nav-items">
    <a href="#tab-location" data-toggle="tab" class="nav-link">
      <span>Ubicación</span>
    </a>
  </li>  
  
  <li class="nav-items">
    <a href="#tab-asign-dir" data-toggle="tab" class="nav-link">
      <span>Asociar Dirección</span>
    </a>
  </li>  
  
  <li class="nav-items">
    <a href="#tab-activities" data-toggle="tab" class="nav-link">
      <span>Actividades</span>
    </a>
  </li>   -->

  <li class="nav-items">
    <a href="#tab-leases" data-toggle="tab" class="nav-link">
      <span>Leases</span>
    </a>
  </li>
  
 
  
  <li class="nav-items">
    <a href="#tab-syslog" data-toggle="tab" class="nav-link">
      <span>SysLogs</span>
    </a>
  </li> 
  
  
  <li class="nav-items">
    <a href="#tab-neighbors" data-toggle="tab" class="nav-link">
      <span>Neighbors</span>
    </a>
  </li>
   
</ul>


<!-- end nav-pills -->
<!-- begin tab-content -->
<div class="tab-content">
  <!-- begin tab-pane -->
  <div class="tab-pane fade show active" id="tab-general">
    <div class="row">
      <div class="col">
        <div class="panel panel-inverse" data-sortable-id="p1">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Información general</h4>
        </div>
        <div class="panel-body panel-form m-10">
          <div class="m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Editar</a>
          </div>
          <span class="br">Alias:
            <i id="utp_alias" data-placement="right" data-toggle="tooltip" title='<i class="icon-pencil"></i>' data-html="true"></i>
          </span>
          <span class="br">Dirección IP: <i id="utp_ip"></i></span>
          <span class="br">Estado: <i id="utp_estatus"></i></span>
          <span class="br">RADIUS: <i id="utp_radius"></i></span>
          <span class="br">Descripción :
            <i id="utp_description" data-placement="right" data-toggle="tooltip" title='<i class="icon-pencil"></i>' data-html="true" ></i>
          </span>
          <span class="br">Marca : <i id="utp_brand"></i></span>
          <span class="br">Modelo : <i id="utp_model"></i></span>
          <span class="br">Arquitectura : <i id="utp_architecture"></i></span>
          <span class="br">Versión Firmware : <i id="utp_firmware"></i></span>
          <span class="br">Serial : <i id="utp_serial"></i></span>
          <br>
          <span class="br">Región : <i id="utp_region"></i></span>
          <span class="br">Comuna : <i id="utp_commune"></i></span>
          <span class="br">Calle : <i id="utp_street"></i></span>
          <span class="br">Número : <i id="utp_house_number"></i></span>
          <span class="br">Torre : <i id="utp_tower"></i></span>
          <span class="br">Piso : <i id="utp_floor"></i></span>
          <span class="br">Número de Torre : <i id="utp_towers"></i></span>
          <span class="br">Número de departamentos : <i id="utp_apartments"></i></span>
          <br>
          <span class="br">Nodo Padre : <i id="utp_parent"></i></span>
          <span class="br"  >Comentario :
            <p id="utp_comment" 
                data-placement="right" 
                data-olt="true" style="border-bottom: 1px solid #4488de; color: black;
                                width: fit-content;
                                height: fit-content;">
          </p>
          </span>

        </div>
        </div>
      </div>
      
      <div class="col">
        <div class="panel panel-inverse" data-sortable-id="p2">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Salud del equipo</h4>
        </div>
        <div class="panel-body panel-form m-10">
          <span class="br">Uptime: <i id="utp_uptime"></i></span>
          <span class="br">Uso del CPU: <i id="utp_cpu"></i></span>
          <span class="br">Uso de Memoria: <i id="utp_ram"></i></span>
          <span class="br">Uso de HDD: <i id="utp_hdd"></i></span>
          <span class="br">Temperatura CPU: <i id="utp_temperature_cpu"></i></span>
          <span class="br">Temperatura del sistema: <i id="utp_temperature"></i></span>
          <span class="br">Consumo de Energía : <i id="utp_energycomsumpt"></i></span>          
          <span class="br">Voltaje : <i id="utp_voltage"></i></span>
        </div>
        </div>
      </div>
      <!-- <div class="col">
        <div class="panel panel-inverse" data-sortable-id="p3">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Tarjetas y capacidad</h4>
        </div>
        <div class="panel-body panel-form m-10" id="interfaces">
        </div>
        </div>
      </div>    -->   

    </div>
    <div class="row">
      
      <div class="col">
        <div class="panel panel-inverse" data-sortable-id="p1">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Planes disponibles</h4>
        </div>
        <div class="panel-body panel-form m-10">
          <ul id="plans_list" ></ul>
        </div>
        </div>
      </div>
      
      
      <div class="col">
        <div class="panel panel-inverse" data-sortable-id="p1">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Direcciones asociadas</h4>
        </div>
        <div class="panel-body panel-form m-10">
          <ul id="availabilities" ></ul>
        </div>
        </div>
      </div>

    </div>
  </div>
  <!-- end tab-pane -->




  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-galery">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Galería <span class="gear_name"></span></h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">

        <div>
          <div class="m-b-10"> <a href="#modal-add-gallery" class="btn btn-sm btn-success" data-toggle="modal">Subir</a></div>
        </div>


          <div class="row" id="pics-content">
          </div>

        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->


  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-docs">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Documentos <span class="olt_name"></span></h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">

        <div>
          <div class="m-b-10"> <a href="#modal-add-doc" class="btn btn-sm btn-success" data-toggle="modal">Subir</a></div>
        </div>

        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_docs">
            <thead>   
              <tr>
                <th>Archivo</th>
                <th>Descripción</th>
                <th>Tipo</th>
                <th>Fecha de creación</th>
                <th>Agente</th>
                <th style="min-width: 155px;">Acciones</th>
              </tr>
            </thead>
            <tbody id="docs-content">
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->


  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-logs">
 <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Logs <span class="utp_name"></span></h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <div class="row">
          Filtrar por:
          <div class="col col-md-2"><select class="form-control" id="filter_type_log"></select></div>
          <div class="col col-md-2"><select class="form-control" id="filter_type_action"></select></div>
        </div>
        <br>
        <!-- begin table-responsive -->       
        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_logs">
            <thead>   
              <tr>
                <th nowrap="">Creado</th>
                <th nowrap="">Usuario</th>
                <th nowrap="">Entidad</th>
                <th nowrap="">Representacion</th>
                <th nowrap="">Valor Identificador</th>
                <th>accion</th>
                <th nowrap="">Descripcion</th>
              </tr>
            </thead>
            <tbody></tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->    


  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-list_cpe">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn" style="float: right;">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable('#table_cpes_utp');" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">CPEs (Leases) <span class="utp_name"></span> 
          <span style="float: right; padding-left: 5px;" class="lease_last_update" > Fecha </span>
          <span style="float: right;" >   Ult. Actualizacion: </span>
        </h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <!-- 
        <button onclick="taskUptimeOnus()" class="btn btn-success" style="float: right;">Actualizar uptime</button>
        <button onclick="taskGetIpOnus()" class="btn btn-success" style="float: right;">Actualizar ips</button>
        -->

        <div class="row">
          <div class="ml-3 pt-2"> Filtrar por: </div>
          <div class="col col-md-2">
            <select class="form-control" id="filter_status" onchange="updateDatatable('#table_cpes_utp')">
              <option>Sin Filtro</option>
              <option>ONLINE</option>
              <option>OFFLINE</option>
              <option>Sin Número de Servicio</option>
              <option>Duplicados</option>
            </select>
          </div>
          <div class="ml-3 pt-2"> Tiempo de espera: </div>
          <div class="col col-md-2">            
            <select class="form-control" id="last_seen_filter" onchange="updateDatatable('#table_cpes_utp')">
              <option>Sin Filtro</option>
              <option>Menor a un mes</option>
              <option>Mayor a un mes</option>
            </select>
          </div>
          <button class="btn btn-sm btn-success" onclick="updateCPElist()" type="button">Actualizar Lista CPEs</button>
          <button class="btn btn-sm btn-success ml-2" onclick="updateNetworkStatus()" type="button">Actualizar Estado de Red</button>
          
        </div>

        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_cpes_utp">
            <thead>   
              <tr>
                <th nowrap="">Contador</th>
                <th nowrap="">ID</th>
                <th nowrap="">Nro. Servicio</th>
                <th>Estado</th>
                <th>Estado de Red</th>
                <th nowrap="">Tiempo Online</th>
                <th nowrap="">Marca</th>
                <th nowrap="">Modelo</th>
                <th nowrap="">Descripción</th>
                <th nowrap>MAC</th>
                <th nowrap="">IP</th>
                <th nowrap="">FIRMWARE</th>
                <th nowrap="">Last Seen</th>
                <th nowrap="">Editar Descripción</th>
                <th nowrap="">Activar Servicio en Matrix</th>
                <th nowrap="">Corte</th>
                <th nowrap="">Reposición</th>
                <th nowrap="">Establecer como Equipo Primario</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->

  

  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-gears">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <!-- <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable('#table_cpes_utp');" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div> -->
        <h4 class="panel-title">Equipos <span class="utp_name"></span> </h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <!-- 
        <button onclick="taskUptimeOnus()" class="btn btn-success" style="float: right;">Actualizar uptime</button>
        <button onclick="taskGetIpOnus()" class="btn btn-success" style="float: right;">Actualizar ips</button>
        -->

        <div class="row">

          <!-- <div class="col col-md-2"><select class="form-control" id="filter_model"></select></div>
          <div class="col col-md-3"><select class="form-control" id="filter_fsp"></select></div> -->
        </div>

        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_gears">
            <thead>   
              <tr>
                <th nowrap="" >ID</th>
                <th nowrap="">Tipo</th>
                <th nowrap="">Descripción</th>
                <th nowrap="">IP</th>
                <th nowrap="">MAC</th>
                <th nowrap="">VLAN</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->




  
  

  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-leases">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable('#table_cpes_utp');" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Leases <span class="utp_name"></span> 
          <span style="float: right; padding-left: 5px;" class="lease_last_update" > Fecha </span>
          <span style="float: right;" >   Ult. Actualizacion: </span>
        </h4>

      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <div class="row">
          <div class="col col-md-12">
            Filtrar por:
          </div>
          <div class="col col-md-12">
            <label for="date_ini" style="display: inline-block;" >Rango de fechas</label>
          </div>
          <div class="col col-md-2">
            <input type="datetime" class="datetimepicker" style="display: inline-block;" name="date_ini" id="filter_date_ini">
          </div>
          <div class="col col-md-2">
            <input type="datetime" class="datetimepicker" name="date_end" id="filter_date_end">
          </div>
          <button class="btn btn-sm btn-success" onclick="updateCPElist()" type="button">Actualizar Leases</button>
          <!-- <div class="col col-md-2"><select class="form-control" id="filter_model"></select></div>
          <div class="col col-md-3"><select class="form-control" id="filter_fsp"></select></div> -->
        </div>

        <div class="row">

          <!-- <div class="col col-md-2"><select class="form-control" id="filter_model"></select></div>
          <div class="col col-md-3"><select class="form-control" id="filter_fsp"></select></div> -->
        </div>

        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_lease">
            <thead>   
              <tr>
                <th nowrap=""> Fecha </th>
                <th nowrap=""> cpe </th>
                <th nowrap=""> onu </th>
                <th nowrap=""> not_found </th>
                <th nowrap=""> address </th>
                <th nowrap=""> Active Address </th>
                <th nowrap=""> MAC Address </th>
                <th nowrap=""> Active MAC Address </th>
                <th nowrap=""> Client id </th>
                <th nowrap=""> Active Client ID </th>
                <th nowrap=""> Server </th>
                <th nowrap=""> Hostname </th>
                <th nowrap=""> Last Seen </th>
                <th nowrap=""> Status </th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->


  




  
  

  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-neighbors">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable('#table_cpes_utp');" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Neighbors <span class="utp_name"></span> 
          <span style="float: right; padding-left: 5px;" class="neighbors_last_update" > Fecha </span>
          <span style="float: right;" >   Ult. Actualizacion: </span>
        </h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <!-- <div class="row">
          <div class="col col-md-12">
            Filtrar por:
          </div>
          <div class="col col-md-12">
            <label for="date_ini" style="display: inline-block;" >Rango de fechas</label>
          </div>
          <div class="col col-md-2">
            <input type="datetime" class="datetimepicker" style="display: inline-block;" name="date_ini" id="filter_date_ini">
          </div>
          <div class="col col-md-2">
            <input type="datetime" class="datetimepicker" name="date_end" id="filter_date_end">
          </div>
          
        </div> -->

        <div class="row">

          <!-- <div class="col col-md-2"><select class="form-control" id="filter_model"></select></div>
          <div class="col col-md-3"><select class="form-control" id="filter_fsp"></select></div> -->
          
          <button class="btn btn-sm btn-success" onclick="updateNeighborsList()" type="button">Actualizar Neighbors</button>
        </div>

        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_neighbors">
            <thead>   
              <tr>
                <th> Interface </th>
                <th> Address </th>
                <th> MAC Address </th>
                <th> Identity </th>
                <th> Board Name </th>
                <th> Uptime </th>
                <th> Creado </th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->


  

  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-services">

    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <!-- <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable('#table_cpes_utp');" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div> -->
        <h4 class="panel-title">Resumen <span class="utp_name"></span> </h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">


        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_indicator">
            <thead>   
              <tr>
                <th nowrap="" >Estado</th>
                <th nowrap="">Cantidad</th>
              </tr>
            </thead>
            
            <tbody id="table_indicator_body">
                 
              <tr>
                <td id=""><strong class="text-success">Activo</strong></td>
                <td id="actives"></td>
              </tr>

              <tr>
                <td id="" ><strong class="text-warning">Por retirar</strong></td>
                <td id="pending"></td>
              </tr>
              
              <tr>
                <td id="" ><strong class="text-danger">Retirado</strong></td>
                <td id="inactive"></td>
              </tr>
              
              <tr>
                <td id="" ><strong >No instalado</strong></td>
                <td id="not_installed"></td>
              </tr>
              
              <tr>
                <td id="" ><strong >Canje</strong></td>
                <td id="free"></td>
              </tr>
              
              <tr>
                <td id="" ><strong >Instalación rechazada</strong></td>
                <td id="install_rejected"></td>
              </tr>
              
              <tr>
                <td id="" ><strong >Venta en verde</strong></td>
                <td id="off_plan_sale"></td>
              </tr>
              
              <tr>
                <td id="" ><strong >Moroso</strong></td>
                <td id="moroso"></td>
              </tr>
              
              <tr>
                <td id="" ><strong >Por re-agendar</strong></td>
                <td id="to_reschedule"></td>
              </tr>
              
              <tr>
                <td id="" ><strong >Cambio de titular</strong></td>
                <td id="holder_change"></td>
              </tr>
              
              <tr>
                <td id="" ><strong >Descartado</strong></td>
                <td id="discared"></td>
              </tr>
              
              <tr>
                <td id="" ><strong >Baja temporal</strong></td>
                <td id="on_hold"></td>
              </tr>
              
              <tr>
                <td id="" ><strong >Perdido, no se pudo retirar</strong></td>
                <td id="lost"></td>
              </tr>

            </tbody>

          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>

    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <!-- <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable('#table_cpes_utp');" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div> -->
        <h4 class="panel-title">Servicios <span class="utp_name"></span> </h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">


        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_services">
            <thead>   
              <tr>
                <th nowrap="">Número de servicio</th>
                <th nowrap="">Dirección</th>
                <th nowrap="">Estado</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->


  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-location">

    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <!-- <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable('#table_cpes_utp');" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div> -->
        <h4 class="panel-title">Mapa <span class="utp_name"></span> </h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">

        <div id="map" style="width: 100%; height: 600px;"></div>

      </div>
      <!-- end panel-body -->
    </div>

  </div>
  <!-- end tab-pane -->


  
  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-asign-dir">

    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">Asociar Dirección a <span class="utp_name"></span> </h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">

        <div class="form-group row m-b-15" id="div_address_pulso_dir">
          <label class="col-md-4 col-sm-4 col-form-label" for="region_dir">Región</label>
          <div class="col-md-8 col-sm-8 region_parent_dir">
            <select class="form-control" id="region_dir"></select>
             <span id="error_region_dir" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_address_pulso_dir">
          <label class="col-md-4 col-sm-4 col-form-label" for="commune_dir">Comuna</label>
          <div class="col-md-8 col-sm-8 commune_parent_dir">
            <select class="form-control" id="commune_dir"></select>
             <span id="error_commune_dir" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15" id="div_address_pulso_dir">
          <label class="col-md-4 col-sm-4 col-form-label" for="street_dir">Calle</label>
          <div class="col-md-8 col-sm-8 street_parent_dir">
            <select class="form-control" id="street_dir"></select>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_address_pulso_dir">
          <label class="col-md-4 col-sm-4 col-form-label" for="house_number_dir">Numero</label>
          <div class="col-md-8 col-sm-8 house_number_parent_dir">
            <select class="form-control" id="house_number_dir"></select>
             <span id="error_house_number_dir" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15" id="div_address_pulso_dir">
          <label class="col-md-4 col-sm-4 col-form-label" for="tower_dir">Torre</label>
          <div class="col-md-8 col-sm-8 tower_parent_dir">
            <select class="form-control" id="tower_dir"></select>
             <span id="error_tower_dir" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_address_pulso_dir">
          <label class="col-md-4 col-sm-4 col-form-label" for="floor_dir">Piso</label>
          <div class="col-md-8 col-sm-8 floor_parent_dir">
            <select class="form-control" id="floor_dir"></select>
             <span id="error_address_pulso_dir" class="text-danger" ></span>
          </div>
        </div>

        <div class="modal-footer">
          <button type="button" class="btn btn-primary" onclick="newAvailability()">Asociar</button>
        </div>
      </div>
      <!-- end panel-body -->
    </div>

  </div>
  <!-- end tab-pane -->




  

  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-activities">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Actividades <span class="olt_name"></span></h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">

        <div>
          <div class="m-b-10"> <a href="#modal-add-activity" class="btn btn-sm btn-success" data-toggle="modal">Añadir</a></div>
        </div>

        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_docs">
            <thead>   
              <tr>
                <th>Actividad</th>
                <th>Descripción</th>
                <th>Duración</th>
              </tr>
            </thead>
            <tbody id="activities-content">
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <div class="tab-pane fade show" id="tab-logs">
    <div class="panel panel-inverse">
          <!-- begin panel-heading -->
          <div class="panel-heading ui-sortable-handle">
            <div class="panel-heading-btn">
              <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
              <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
              <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            </div>
            <h4 class="panel-title">Logs <span class="utp_name"></span></h4>
          </div>
          <!-- end panel-heading -->
          <!-- begin panel-body -->
          <div class="panel-body">
            <div class="row">
              Filtrar por:
              <div class="col col-md-2"><select class="form-control" id="filter_type_log"></select></div>
              <div class="col col-md-2"><select class="form-control" id="filter_type_action"></select></div>
            </div>
            <br>
            <!-- begin table-responsive -->       
            <div class="table-responsive">
              <table class="table" style="width: 100% !important" id="table_logs">
                <thead>   
                  <tr>
                    <th nowrap="">Creado</th>
                    <th nowrap="">Usuario</th>
                    <th nowrap="">Entidad</th>
                    <th nowrap="">Representacion</th>
                    <th nowrap="">Valor Identificador</th>
                    <th>accion</th>
                    <th nowrap="">Descripcion</th>
                  </tr>
                </thead>
                <tbody></tbody>
              </table>
            </div>
            <!-- end table-responsive -->
          </div>
          <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->    

    <!-- begin tab-pane -->
    <div class="tab-pane fade show" id="tab-syslog">
      <div class="panel panel-inverse">
           <!-- begin panel-heading -->
           <div class="panel-heading ui-sortable-handle">
             <div class="panel-heading-btn">
               <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
               <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
               <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
             </div>
             <h4 class="panel-title">Syslog <span class="utp_name"></span></h4>
           </div>
           <!-- end panel-heading -->
           <!-- begin panel-body -->
           <div class="panel-body">
             <div class="row">
               <!-- Filtrar por: -->
               <!-- esto debe ser un date range calendar -->
               <div class="col col-md-2">
                 <label for="created">Fecha</label>
                <div class="input-group" id="advance-daterange">
                  <input type="text" 
                        name="advance-daterange" id="ad" class="form-control form-control-sm" 
                        placeholder="Seleccione un rango de fecha" />
                  <span class="input-group-append">
                      <span class="input-group-text"><i class="fa fa-calendar"></i></span>
                  </span>
                  
                </div>
                <!-- &nbsp;
                  <button class="btn btn-xs btn-default" id="clear_date">
                    <i class="fa fa-redo"></i>
                  </button> -->
               </div>
  
               <!-- <div class="col col-md-2"><select class="form-control" id="filter_ip_sys">
                 <option value="">IP</option>
               </select></div> -->
               <div class="col col-md-2">
                <label for="usuario">Usuario-MAC</label> 
                <select class="form-control" id="filter_user_sys">
                 <option value=""></option>
               </select></div>
               <div class="col col-md-2">
                <label for="type">Tipo de Syslog</label> 
                <select class="form-control" id="filter_type_syslog_sys">
                 <option value=""></option>
               </select></div>
               <div class="col col-md-2">
                <label for="origin">Origen</label> 
                <select class="form-control" id="filter_origin_syslog_sys">
                <option value=""></option>
              </select></div>
              <!-- <div class="col col-md-2"></div> -->
              <div class="col col-md-2">
                <label for="reset">Reset</label>
                <div class="form-group">
                  <button title="Reset sobre todos los filtros de la tabla" class="btn btn-default btn-xs form-control form-control-xs" id="btn_reset">
                    <i class="fa fa-redo"></i>
                  </button>
                </div>
                
              </div>
             </div>
             <br>
             <!-- begin table-responsive -->       
             <div class="table-responsive">
               <table class="table" style="width: 100% !important" id="table_utpsyslog">
                 <thead>   
                   <tr>
                     <th nowrap="">Fecha</th>
                     <th nowrap="">Hora</th>
                     <th nowrap="">IP</th>
                     <th nowrap="">Usuario-MAC</th>
                     <th nowrap="">Tipo de Syslog</th>
                     <th nowrap="">Origen</th>
                     <th nowrap="">Identificador</th>
                     <th nowrap="">Mensaje</th>
                     <th>Acción</th>
                   </tr>
                 </thead>
                 <tbody></tbody>
               </table>
             </div>
             <!-- end table-responsive -->
           </div>
           <!-- end panel-body -->
         </div>
       </div>
       <!-- end tab-pane -->
<!-- end tab-content -->




<div class="modal fade" id="modal-add-gallery">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Subir Foto</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_olt"></div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="pic_file">Foto</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="file" id="pic_file" name="pic_file">
            <div id="error_pic_file" class="text-danger"></div>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="pic_foot">Pie de foto</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="pic_foot" name="pic_foot">
            <div id="error_pic_foot"></div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Cerrar</a>
        <button type="button" class="btn btn-primary" id="btn-add-gallery" >Subir</button>
      </div>
      </form>
    </div>
  </div>
</div>


<div class="modal fade" id="modal-edit-gallery">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Editar Foto</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_olt"></div>
        <div class="form-group row m-b-15">
          <input class="form-control" type="hidden" id="pic_edit_id" name="pic_edit_id">
          <label class="col-md-4 col-sm-4 col-form-label" for="pic_edit_foot">Pie de foto</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="pic_edit_foot" name="pic_edit_foot">
            <div id="error_pic_foot" class="text-danger"></div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Cerrar</a>
        <button type="button" class="btn btn-primary" id="btn-edit-gallery" >Subir</button>
      </div>
      </form>
    </div>
  </div>
</div>


<div class="modal fade" id="modal-add-doc">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Subir Documento</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_olt"></div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="doc_file">Archivo</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="file" id="doc_file" name="doc_file">
            <div id="error_doc_file" class="text-danger"></div>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="doc_description">Descripción</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="doc_description" name="doc_description">
            <div id="error_doc_description" class="text-danger"></div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Cerrar</a>
        <button type="button" class="btn btn-primary" id="btn-add-doc" >Subir</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-edit-doc">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Editar documento</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_olt"></div>
        <div class="form-group row m-b-15">
          <input class="form-control" type="hidden" id="doc_edit_id" name="doc_edit_id">
          <label class="col-md-4 col-sm-4 col-form-label" for="doc_edit_description">Descripción</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="doc_edit_description" name="doc_edit_description">
            <div id="error_pic_foot" class="text-danger"></div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Cerrar</a>
        <button type="button" class="btn btn-primary" id="btn-edit-doc" >Subir</button>
      </div>
      </form>
    </div>
  </div>
</div>



<div class="modal fade" id="modal-add-activity">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Añadir Actividad</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_olt"></div>
        <div class="form-group row m-b-15 div_activity_name" id="div_activity_name">
          <label class="col-md-4 col-sm-4 col-form-label" for="activity_name">Actividad</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="activity_name" name="activity_name">
            </select>
            <div id="error_activity_name" class="text-danger"></div>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_activity_Duration">
          <label class="col-md-4 col-sm-4 col-form-label" for="activity_Duration">Duración</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="activity_Duration" name="activity_Duration">
              <option value="">Selecciona una opción</option>
              <option value="0">30 minutos</option>
              <option value="1">1 hora</option>
              <option value="2">2 horas</option>
              <option value="4">4 horas</option>
              <option value="24">1 día</option>
              <option value="72">3 días</option>
              <option value="96">4 días</option>
              <option value="120">5 días</option>
              <option value="144">6 días</option>
              <option value="168">7 días</option>
            </select>
            <div id="error_activity_Duration" class="text-danger"></div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Cerrar</a>
        <button type="button" class="btn btn-primary" id="btn-add-activity" >Añadir</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-edit-description">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Editar descripción de CPE</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div class="form-group row m-b-15" id="div_activity_name">
          <label class="col-md-4 col-sm-4 col-form-label" for="edit-description">Descripcion</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="edit-description-area" name="edit-description"></textarea>
          </div>
          <div class="col-md-8 col-sm-8">
            <div hidden id="edit-id"></div>
          </div>
          
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Cerrar</a>
        <button type="button" class="btn btn-primary" onclick="editDescription(this)">Editar</button>
      </div>
      </form>
    </div>
  </div>
</div>




<div class="modal fade" id="modal-edit-activity">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Editar Actividad</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_olt"></div>
        <input type="hidden" id="edit_duration_id">
        <div class="form-group row m-b-15" id="div_edit_activity_name">
          <label class="col-md-4 col-sm-4 col-form-label" for="edit_activity_name">Actividad</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="edit_activity_name" name="edit_activity_name">
            </select>
            <div id="error_edit_activity_name" class="text-danger"></div>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_edit_activity_Duration">
          <label class="col-md-4 col-sm-4 col-form-label" for="edit_activity_Duration">Duración</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="edit_activity_Duration" name="edit_activity_Duration">
              <option value="">Selecciona una opción</option>
              <option value="0">30 minutos</option>
              <option value="1">1 hora</option>
              <option value="2">2 horas</option>
              <option value="4">4 horas</option>
              <option value="24">1 día</option>
              <option value="72">3 días</option>
              <option value="96">4 días</option>
              <option value="120">5 días</option>
              <option value="144">6 días</option>
              <option value="168">7 días</option>
            </select>
            <div id="error_edit_activity_Duration" class="text-danger"></div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Cerrar</a>
        <button type="button" class="btn btn-primary" id="btn-edit-activity" >Editar</button>
      </div>
      </form>
    </div>
  </div>
</div>



<!-- #modal-dialog -->
<div class="modal fade" id="modal-dialog" data-keyboard="true" data-backdrop="static">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Actualizando OLT <span class="olt_name"></span></h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <p>
          <span class="spinner"></span>
        </p>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Cerrar</a>
      </div>
    </div>
  </div>
</div>



<div class="modal fade" id="modal-create">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Editar UTP</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div class="form-group row m-b-15 " id="div_radius_node">
          <label class="col-md-4 col-sm-4 col-form-label" for="radius_node">RADIUS</label>
          <div class="col-md-8 col-sm-8 radius_node_parent">
            <select class="form-control" id="radius_node">
            </select>
             <span id="error_radius_node" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_alias">
          <label class="col-md-4 col-sm-4 col-form-label" for="alias">Alias</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="alias" placeholder="Alias del nodo UTP" data-parsley-required="true" />
             <span id="error_alias" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_status">
          <label class="col-md-4 col-sm-4 col-form-label" for="status">Estado</label>
          <div class="col-md-8 col-sm-8 status_parent">
            <select class="form-control" id="status">
              <option value="1">Cableado</option>
              <option value="2">Por retirar</option>
              <option value="3">En proceso</option>
              <option value="4">Sin clasificar</option>
              <option value="5">Descartado</option>
            </select>
             <span id="error_status" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15" id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="region">Región</label>
          <div class="col-md-8 col-sm-8 region_parent">
            <select class="form-control" id="region"></select>
             <span id="error_region" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="commune">Comuna</label>
          <div class="col-md-8 col-sm-8 commune_parent">
            <select class="form-control" id="commune"></select>
             <span id="error_commune" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15" id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="street">Calle</label>
          <div class="col-md-8 col-sm-8 street_parent">
            <select class="form-control" id="street"></select>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="house_number">Numero</label>
          <div class="col-md-8 col-sm-8 house_number_parent">
            <select class="form-control" id="house_number"></select>
             <span id="error_house_number" class="text-danger" ></span>
          </div>
        </div>
        <!-- <div class="form-group row m-b-15" id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="tower">Torre</label>
          <div class="col-md-8 col-sm-8 tower_parent">
            <select class="form-control" id="tower"></select>
             <span id="error_tower" class="text-danger" ></span>
          </div>
        </div> -->
        <div class="form-group row m-b-15 " id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="floor">Piso</label>
          <div class="col-md-8 col-sm-8 floor_parent">
            <select class="form-control" id="floor"></select>
             <span id="error_address_pulso" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15 " id="div_parent_node">
          <label class="col-md-4 col-sm-4 col-form-label" for="parent_node">Nodo Padre</label>
          <div class="col-md-8 col-sm-8 parent_node_parent">
            <select class="form-control" id="parent_node"></select>
             <span id="error_parent_node" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_default_connection_node">
          <label class="col-md-4 col-sm-4 col-form-label " for="default_connection_node">Nodo de corte por defecto</label>
          <div class="col-md-8 col-sm-8 default_connection_node_parent">
            <select class="form-control" id="default_connection_node"></select>
             <span id="error_default_connection_node" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_ip">
          <label class="col-md-4 col-sm-4 col-form-label" for="ip">IP</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" pattern="((^|\.)((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]?\d))){4}$" id="ip" placeholder="Direccion IPV4" data-parsley-required="true" />
             <span id="error_ip" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15 " id="div_ip_range">
          <label class="col-md-4 col-sm-4 col-form-label" for="ip_range">Rango de IP</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" pattern="((^|\.)((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]?\d))){4}$" id="ip_range" placeholder="Direccion IPV4" data-parsley-required="true" />
             <span id="error_ip_range" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_user">
          <label class="col-md-4 col-sm-4 col-form-label" for="user">Usuario</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="user" placeholder="Usuario" data-parsley-required="true" />
             <span id="error_user" class="text-danger" ></span>
          </div>
        </div>      
        <div class="form-group row m-b-15 " id="div_password">
          <label class="col-md-4 col-sm-4 col-form-label" for="password">Clave</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="password" id="password" placeholder="Clave" data-parsley-required="true" />
             <span id="error_password" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15 " id="div_plans">
          <label class="col-md-4 col-sm-4 col-form-label " for="plans">Planes disponibles</label>
          <div class="col-md-8 col-sm-8 plans_parent">
            <select class="form-control" id="plans" multiple></select>
             <span id="error_plans" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15 " id="div_comment">
          <label class="col-md-4 col-sm-4 col-form-label " for="comment">Notas</label>
          <div class="col-md-8 col-sm-8 comment_parent">
            <textarea class="form-control" id="comment" multiple></textarea>
             <span id="error_comment" class="text-danger" ></span>
          </div>
        </div>

        
        <div class="form-group row m-b-15 " id="div_towers">
          <label class="col-md-4 col-sm-4 col-form-label " for="towers">Número de Torres</label>
          <div class="col-md-8 col-sm-8 towers_parent">
            <input type="number" class="form-control" id="towers" ></textarea>
             <span id="error_towers" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_apartments">
          <label class="col-md-4 col-sm-4 col-form-label " for="apartments">Número de Departamentos</label>
          <div class="col-md-8 col-sm-8 apartments_parent">
            <input type="number" class="form-control" id="apartments" ></input>
             <span id="error_apartments" class="text-danger" ></span>
          </div>
        </div>

      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Cerrar</a>
        <button type="button" class="btn btn-primary" onclick="newUTP()">Editar UTP</button>
      </div>
      </form>
    </div>
  </div>
</div>


<div class="modal fade" id="modal-sleep" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>

{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
<script src="{% static 'plugins/select2/dist/js/select2.min.js' %}"></script>
<script src="{% static 'plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js' %}"></script>
<!-- <script src="{% static 'plugins/bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.es.js' %}"></script> -->
<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&amp;sensor=false&key=AIzaSyB4AeY8Ts757OtL6PHEqHCLzsHk0L6NXUo"></script>
<script src="{% static 'plugins/bootstrap-daterangepicker/daterangepicker.js' %}"></script>
<script src="{% static 'scripts/daterange-obj.js' %}"></script>
<script type="text/javascript" id="insert_script_here">
var no_cache_random =  Math.random().toString(36).substr(2, 5);
appendScript("{% static 'scripts/utp_detail.js' %}?no_cache=" + no_cache_random);
</script>
{% endblock extra_js %}
